﻿using UnityEngine;
using System;

namespace EventGames
{
    public class JoystickServerMessage : MessageBase
    {
        public JoystickSetupWrapper joystick_setup;
        [NonSerialized]
        public string localizedTexts;

        public JoystickServerMessage(string joystick_setup, string localizedTexts)
        {
            command = "set_joystick_setup";

            this.joystick_setup = new JoystickSetupWrapper();
            this.joystick_setup.js = joystick_setup;

            this.localizedTexts = localizedTexts;
        }

        public override string ToJson()
        {
            string json = JsonUtility.ToJson(this);

            string localizedTexts = $", \"localizedTexts\": {this.localizedTexts}";
            int index = json.Length -1;
            json = json.Substring(0, index) + localizedTexts + json.Substring(index);

            return json;
        }
    }

    [Serializable]
    public class JoystickSetupWrapper
    {
        [SerializeField]
        public string js;
    }
}