using System.Collections;
using System.Collections.Generic;
using EventGames;
using NUnit.Framework;
using UnityEngine;
using UnityEngine.TestTools;

public class Tests
{
    [UnityTest]
    public IEnumerator RuntimeManagerDoesNotExistInSceneByDefault()
    {
        yield return CleanScene();
        RuntimeManager.RunningInTest = true;
        GameObject actual = GameObject.Find(RuntimeManager.gameObjectName);

        Assert.IsNull(actual);
    }

    [UnityTest]
    public IEnumerator InjectsRuntimeManagerInScene()
    {
        yield return CleanScene();

        RuntimeManager.RunningInTest = true;
        RuntimeManager runtimeManager = RuntimeManager.I;

        GameObject actual = GameObject.Find(RuntimeManager.gameObjectName);

        Assert.AreEqual(runtimeManager.gameObject, actual);
    }

    private static IEnumerator CleanScene()
    {
        foreach (var obj in Object.FindObjectsOfType<GameObject>())
        {
            Object.Destroy(obj);
        }
        yield return null;
    }
}
