(function ()
{
	var css = `
	body, img
	{
		user-select: none;
		-webkit-user-select: none;
		-khtml-user-select: none;
		-moz-user-select: -moz-none;
		-ms-user-select: none;
	}
	#ad_partner_div, #angled_line{
		display: none;
		padding: 0px !important;
	}

	#playing{
		display: none;
		align-items: center;
		flex-direction: column;
		height: calc(100vh - 80px);
	}
	#power_up_button {
		height: calc(50vh);
		width: 100%;
		max-width: 512px;
		max-height: 512px;
		margin: auto;

		background-image: url(https://levimoore.dev/eventgames/none.png);
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center;
	}
	#fly_button {
		height: calc(50vh);
		width: 100%;
		max-width: 300px;
		max-height: 300px;

		background-image: url(https://levimoore.dev/eventgames/fly.png);
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center;
	}

	#full {
		display: none;
		align-items: center;
		flex-direction: column;
		justify-content: center;
		height: calc(100vh - 80px);
    	padding: 20px;
	}

	#waiting {
		display: none;
		align-items: center;
		flex-direction: column;
		justify-content: center;
		height: calc(100vh - 80px);
    	padding: 20px;
	}

	#game_over {
		display: none;
		align-items: center;
		flex-direction: column;
		justify-content: center;
		height: calc(100vh - 80px);
    	padding: 20px;
	}
	`;

	var html = `
	<div id="full">
		<h1>Der er ikke plads til flere spiller :(</h1>
		<h1>Prøv igen hvis nogle forlader det eller der starter et nyt spil.</h1>
	</div>

	<div id="waiting">
		<h1>Du er nu med i spillet som går i gang lige om lidt :D</h1>
	</div>

	<div id="game_over">
		<h1>Spillet er slut.</h1>
		<h1>Du kom på <span id="game_over_placement">X</span>. pladsen</h1>
	</div>

	<div id="playing">
		<div id="power_up_button"></div>
		<div id="fly_button"></div>
	</div>
	<audio id="sound" preload=true>
	`;

	var style = null;
	var flyButton = null;
	var powerButton = null;
	var targetElement = null;
	var gameSocket = null;

	var api = {


		init: function ()
		{
		},

		tint: function (json)
		{
			/* Events */
			//power up
			powerButton = document.getElementById("power_up_button");
			let usePowerup = function ()
			{
				if (powerButton.style.opacity == "" || powerButton.style.opacity > 0)
				{
					gameSocket.send({ command: "use_power_up" });
					powerButton.style.backgroundImage  = "url(https://levimoore.dev/eventgames/none.png)";
				}
			};
			powerButton.addEventListener("touchstart", function (event)
			{
				event.preventDefault();
				usePowerup();
			}, { passive: true });
			powerButton.addEventListener("mousedown", function (event)
			{
				event.preventDefault();
				usePowerup();
			});


			//fly up
			flyButton = document.getElementById("fly_button");
			flyButton.addEventListener("touchstart", function (event)
			{
				event.preventDefault();
				gameSocket.send({ command: "fly_up" });

			}, { passive: true });
			flyButton.addEventListener("mousedown", function (event)
			{
				event.preventDefault();
				gameSocket.send({ command: "fly_up" });
			});

			//fly down
			flyButton.addEventListener("touchend", function (event)
			{
				event.preventDefault();
				gameSocket.send({ command: "fly_down" });
			}, { passive: true });
			flyButton.addEventListener("mouseup", function (event)
			{
				event.preventDefault();
				gameSocket.send({ command: "fly_down" });
			});

			/* Colors */
			//background
			let color = "#" + json.color.substr(0, 6);
			if (color != "#")
			{
				document.documentElement.style.setProperty("--dark-color", color);
			}
		},

		setup: function (inGameSocket, inTargetElement, localizedTexts)
		{
			gameSocket = inGameSocket;

			//add html
			targetElement = inTargetElement;
			targetElement.innerHTML = html;

			//add style
			style = document.createElement("style");
			style.appendChild(document.createTextNode(css));
			document.head.appendChild(style);
		},

		remove: function ()
		{
			document.head.removeChild(style);
			targetElement.innerHTML = "";
		},

		message: function (json)
		{
			if (json.command == "add_power_up") {
				powerButton.style.backgroundImage = "url(" + json.url + ")";
			}
			else if (json.command == "waiting") {
				document.getElementById("waiting").style.display = "flex";
			}
			else if (json.command == "full") {
				document.getElementById("full").style.display = "flex";
			}
			else if (json.command == "start") {
				document.getElementById("waiting").style.display = "none";
				document.getElementById("playing").style.display = "flex";
			}
			else if (json.command == "game_over_joystick") {
				document.getElementById("waiting").style.display = "none";
				document.getElementById("playing").style.display = "none";
				document.getElementById("game_over").style.display = "flex";
				document.getElementById("game_over_placement").innerHTML = json.placement;
			}
			else if (json.command == "play_sound") {
				document.getElementById("sound").setAttribute("src", json.url);
				document.getElementById("sound").volume = json.volume;
				document.getElementById("sound").load();
				document.getElementById("sound").play();
            }
		}
	}

	api.init();
	joystickScreen.setJoystickApi(api);
})();