using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    [CreateAssetMenu(fileName = "AudioBank", menuName = "AlienRunner/AudioBank", order = 1)]
    public class AudioBank : ScriptableObject
    {
        public SoundEffect[] soundEffects;
    }
    [Serializable]
    public struct SoundEffect
    {
        public string name;
        public AudioClip clip;
        [Range(0, 1)]
        public float volume;
        public bool loop;
        public bool dontUseRandomPitch;
        [HideInInspector]
        public string url;
        [TextArea(20, 30)]
        public string source;

    }
}
