//https://kylewbanks.com/blog/create-fullscreen-background-image-in-unity2d-with-spriterenderer
using UnityEngine;

namespace AlienRunner
{
    public class Background : MonoBehaviour
    {
        private void Awake()
        {

            SpriteRenderer spriteRenderer = GetComponent<SpriteRenderer>();

            float cameraHeight = Camera.main.orthographicSize * 2;
            Vector2 cameraSize = new Vector2(Camera.main.aspect * cameraHeight, cameraHeight);
            Vector2 spriteSize = spriteRenderer.sprite.bounds.size;

            Vector2 scale = Vector3.one;
            if (cameraSize.x >= cameraSize.y)
            { // Landscape (or equal)
                scale *= cameraSize.x / spriteSize.x;
            }
            else
            { // Portrait
                scale *= cameraSize.y / spriteSize.y;
            }

            transform.position = Vector2.zero;
            transform.localScale = scale;
        }
    }
}
