using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class EventGamesConnection : ConnectionBase
    {
        public override event Action<int, int, string> OnPlayerConnect;
        public override event Action<int> OnPlayerDisconnect;

        public EventGamesConnection()
        {
            EventGames.RuntimeManager.I.onPlayerJoin.AddListener(OnPlayerJoin);
            EventGames.RuntimeManager.I.onPlayerLeave.AddListener(OnPlayerLeave);
        }

        private void OnPlayerJoin(int id, int tint, string name)
        {
            OnPlayerConnect?.Invoke(id, tint, name);
        }

        private void OnPlayerLeave(int id)
        {
            OnPlayerDisconnect?.Invoke(id);
        }
    }
}