namespace AlienRunner
{
    public abstract class ControllerBase
    {
        public int Id { get; private set; }

        public abstract bool Fly();
        public abstract bool UsePowerUp();
        public abstract void AddPowerUp(PowerUpBase power);
        public abstract void PlaySound(SoundEffect sfx);

        public abstract void Waiting();
        public abstract void GameIsFull();
        public abstract void StartGame();
        public abstract void GameOver(int placement);

        public virtual void Update() { }

        public ControllerBase(int id)
        {
            Id = id;
        }
    }
}