﻿using UnityEngine;

namespace AlienRunner
{
    public class LocalAutomaticController : ControllerBase
    {
        public bool fly;
        public bool usePowerUp;
        public PowerUpBase powerUp;
        private float nextDebugUpdate;

        public LocalAutomaticController(int id) : base(id)
        {

        }

        public override bool Fly()
        {
            if (Id == 0)
            {
                return Input.GetKey(KeyCode.Space);
            }
            return fly;
        }
        public override bool UsePowerUp()
        {
            if (Id == 0)
            {
                return Input.GetKeyDown(KeyCode.P) || Input.GetKeyDown(KeyCode.Q);
            }

            if (usePowerUp)
            {
                usePowerUp = false;
                return true;
            }
            return false;
        }
        public override void AddPowerUp(PowerUpBase power)
        {
            powerUp = power;
        }
        public override void Update()
        {
            if (Time.time > nextDebugUpdate)
            {
                nextDebugUpdate = Time.time + 1;

                fly = Random.value > .5f;
                usePowerUp = Random.value > .2f;
            }
        }
        public override void Waiting()
        {

        }
        public override void GameIsFull()
        {

        }
        public override void StartGame()
        {

        }
        public override void GameOver(int placement)
        {

        }

        public override void PlaySound(SoundEffect sfx)
        {
            SFX.Play(sfx.name);
        }
    }
}