using UnityEngine;

namespace AlienRunner
{
    public class LocalManualController : ControllerBase
    {
        private readonly KeyCode flyKey;
        private readonly KeyCode powerUpKey;

        public LocalManualController(int id) : base(id)
        {
            switch (id)
            {
                case 0:
                    flyKey = KeyCode.Alpha1;
                    powerUpKey = KeyCode.Q;
                    break;
                case 1:
                    flyKey = KeyCode.Alpha2;
                    powerUpKey = KeyCode.W;
                    break;
                case 2:
                    flyKey = KeyCode.Alpha3;
                    powerUpKey = KeyCode.E;
                    break;
                case 3:
                    flyKey = KeyCode.Alpha4;
                    powerUpKey = KeyCode.R;
                    break;
                case 4:
                    flyKey = KeyCode.Alpha5;
                    powerUpKey = KeyCode.T;
                    break;
                case 5:
                    flyKey = KeyCode.Alpha6;
                    powerUpKey = KeyCode.Y;
                    break;
                case 6:
                    flyKey = KeyCode.Alpha7;
                    powerUpKey = KeyCode.U;
                    break;
                case 7:
                    flyKey = KeyCode.Alpha8;
                    powerUpKey = KeyCode.I;
                    break;
                case 8:
                    flyKey = KeyCode.Alpha9;
                    powerUpKey = KeyCode.O;
                    break;
                case 9:
                    flyKey = KeyCode.Alpha0;
                    powerUpKey = KeyCode.P;
                    break;
            }
        }

        public override bool Fly()
        {
            return Input.GetKey(flyKey);
        }
        public override bool UsePowerUp()
        {
            return Input.GetKeyDown(powerUpKey);
        }
        public override void AddPowerUp(PowerUpBase power)
        {

        }
        public override void Waiting()
        {

        }
        public override void GameIsFull()
        {

        }
        public override void StartGame()
        {

        }
        public override void GameOver(int placement)
        {

        }

        public override void PlaySound(SoundEffect sfx)
        {
            SFX.Play(sfx.name);
        }
    }
}