using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class ElectricLineAnimator : MonoBehaviour
    {
        [SerializeField]
        private LineRenderer lineRenderer;
        [SerializeField]
        private Texture2D[] textures;


        private float fps;
        private float fpsCounter;

        private int animationStep;
        // Start is called before the first frame update

        private void OnValidate()
        {
            if (lineRenderer == null)
                lineRenderer = GetComponent<LineRenderer>();
        }
        void Start()
        {
            fps = 30;
        }

        // Update is called once per frame
        void Update()
        {
            fpsCounter += Time.deltaTime;
            if (fpsCounter >= 2f / fps)
            {
                animationStep++;
                if (animationStep == textures.Length)
                    animationStep = 0;

                lineRenderer.material.SetTexture("_MainTex", textures[animationStep]);
                fpsCounter = 0f;
            }
        }
    }
}
