using Spine.Unity;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class Explosion : MonoBehaviour
    {
        [SerializeField]
        private SkeletonAnimation skeletonAnimation;
        [SerializeField]
        private new AnimationReferenceAsset animation;
        [SerializeField]
        private float timeScale;

        private IEnumerator Start()
        {
            skeletonAnimation.state.SetAnimation(0, animation, false).TimeScale = timeScale;
            yield return new WaitForSeconds(animation.Animation.Duration / timeScale);
            Destroy(gameObject);
        }
    }
}
