using UnityEngine;
using TMPro;

namespace AlienRunner
{
    public class GameCodeDisplay : MonoBehaviour
    {
        [SerializeField]
        private TextMeshProUGUI text;

        private void OnValidate()
        {
            if (text == null)
                text = GetComponentInChildren<TextMeshProUGUI>();
        }
        public bool removeOnGameStart = true;


        private void Awake()
        {
            gameObject.SetActive(false);

            if (GameState.I.Mode == GameState.ControllerMode.EventGames)
            {
                EventGames.RuntimeManager.I.onServerReady.AddListener((string code, string website) =>
                {
                    string simpleWebsite = website.Replace("https://", "");
                    string capitalised = simpleWebsite[0].ToString().ToUpper() + simpleWebsite.Substring(1);
                    text.text = $"{capitalised}\n<b>{code}</b>";
                    gameObject.SetActive(removeOnGameStart);
                });
                GameState.I.OnGameStart += () =>
                {
                    gameObject.SetActive(!removeOnGameStart);
                };
            }
        }
    }
}
