using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

namespace AlienRunner
{
    public class KeepRandomChild : MonoBehaviour
    {
        [SerializeField]
        private int countMin;
        [SerializeField]
        private int countMax;

        private void Awake()
        {
            if (countMax <= countMin)
            {
                countMax = countMin + 1;
            }

            int keep = Random.Range(countMin, countMax);
            while (transform.childCount > keep)
            {
                DestroyImmediate(transform.GetChild(Random.Range(0, transform.childCount)).gameObject);
            }
        }
    }
}
