using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class PlatformWobble : MonoBehaviour
    {
        Vector3 originalPos;

        [SerializeField]
        private float up = -0.25f;
        [SerializeField]
        private float upSinTimeScale = 0.8f;
        [SerializeField]
        private float upSinTimeOffset = 0.2f;
        [SerializeField]
        private float upCosScale = 0.2f;
        [SerializeField]
        private float rightSinTimeScale = 1.2f;
        [SerializeField]
        private float rightSinTimeOffset = 0.5f;
        [SerializeField]
        private float rightSinScale = 0.1f;

        private float offset;

        private void Awake()
        {
            offset = Random.Range(0f, 10f);
            originalPos = transform.localPosition;
        }

        // Update is called once per frame
        void Update()
        {
            Vector3 pos = originalPos;
            pos += Vector3.up * up;
            pos += Vector3.up * Mathf.Cos(Mathf.Sin(Time.time * upSinTimeScale + upSinTimeOffset + offset)) * upCosScale;
            pos += Vector3.right * Mathf.Sin(Time.time * rightSinTimeScale + rightSinTimeOffset + offset) * rightSinScale;
            transform.localPosition = pos;
        }
    }
}
