using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class PlayerDropCoins : MonoBehaviour, IPlayerSetupable
    {
        [SerializeField]
        private GameObject droppedCoinPrefab;

        [SerializeField]
        private int coinsToDrop;
        [SerializeField]
        private int pointsToLose;

        private PlayerState playerState;
        private PlayerScore playerScore;

        void IPlayerSetupable.Setup(int id)
        {
            playerState = GetComponent<PlayerState>();
            playerScore = GetComponent<PlayerScore>();
            playerState.onEnter += OnStateEnter;
        }
        private void OnDestroy()
        {
            playerState.onEnter -= OnStateEnter;
        }

        private void OnStateEnter()
        {
            if(playerState.IsStunned)
            {
                LosePoints();
                DropCoins();
            }
        }
        private void DropCoins()
        {
            for(int i=0;i<coinsToDrop;i++)
            {
                Instantiate(droppedCoinPrefab, transform.position, Quaternion.identity);
            }
        }
        private void LosePoints()
        {
            playerScore.LoseScore(pointsToLose);
        }
    }
}
