using UnityEngine;

namespace AlienRunner
{
    public class PlayerInvincibilityBlink : MonoBehaviour, IPlayerSetupable
    {
        [SerializeField]
        private MeshRenderer meshRenderer;
        [SerializeField]
        private float switchTime;

        private PlayerState state;
        private float timer;

        public void Setup(int id)
        {
            state = GetComponent<PlayerState>();
        }

        void Update()
        {
            if (state.IsInvincible)
            {
                timer -= Time.deltaTime;
                if (timer <= 0)
                {
                    meshRenderer.enabled = !meshRenderer.enabled;
                    timer = switchTime;
                }
            }
            else
            {
                meshRenderer.enabled = true;
            }
        }
    }
}
