using Spine.Unity;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class PointPickupBehaviour : MonoBehaviour
    {
        [SerializeField]
        private SkeletonAnimation skeletonAnimation;

        [SerializeField]
        private AnimationReferenceAsset remove;

        [SerializeField]
        private int scoreIncrease;
        public int ScoreIncrease { get => scoreIncrease;  }

        public bool CanBePickedUp{ get; set; }
        private void Awake()
        {
            CanBePickedUp = true;
        }

        private void OnTriggerEnter2D(Collider2D collision)
        {
            if (!CanBePickedUp)
                return;
            if (collision.tag.ToLower() == "player")
            {
                collision.GetComponent<PlayerScore>().AddToScore(scoreIncrease);
                StartCoroutine(Remove());

                SFX.Play("coin");
            }
        }

        public IEnumerator Remove()
        {
            Destroy(GetComponent<Collider2D>());
            skeletonAnimation.state.SetAnimation(0, remove, false).TimeScale = 1f;
            yield return new WaitForSeconds(remove.Animation.Duration);
            Destroy(gameObject);
        }
    }
}
