using UnityEngine;

namespace AlienRunner
{
    public class LaserBeam : MonoBehaviour
    {
        [SerializeField]
        private float speed = 3;

        public GameObject owner;

        private void Start()
        {
            Destroy(gameObject, 10f);
        }

        private void Update()
        {
            transform.position += Vector3.right * GameState.I.GameSpeed * speed * Time.deltaTime;
        }

        private void OnTriggerEnter2D(Collider2D collision)
        {
            if (collision.gameObject == owner)
            {
                return;
            }

            if (collision.tag.ToLower() == "player")
            {
                collision.GetComponent<PlayerMovement>().Hit(PlayerMovement.HitType.Stun);
                Destroy(gameObject);
            }
            if(collision.tag.ToLower() == "platform")
            {
                Destroy(gameObject);
            }
        }
    }
}
