using System.Collections;
using UnityEngine;

namespace AlienRunner
{
    public class LaserBeamPowerUp : PowerUpBase
    {
        public override string Name => "Laser Beam";
        public override string URL => "https://levimoore.dev/eventgames/laser.png";
        public GameObject prefab;

        public override void Pickup(GameObject by)
        {
            by.GetComponent<PlayerAnimation>().Aim(true);
        }

        public override IEnumerator Use(GameObject by)
        {
            SFX.Play("laser_fire");
            by.GetComponent<PlayerAnimation>().Aim(false);
            Instantiate(prefab, transform.position, Quaternion.identity).GetComponent<LaserBeam>().owner = by;
            yield return null;
        }
    }
}
