using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class ShieldPowerUp : PowerUpBase
    {
        public override string Name => "Shield";
        public override string URL => "https://levimoore.dev/eventgames/shield.png";

        [SerializeField]
        private float lifeTime;

        public override IEnumerator Use(GameObject by)
        {
            by.GetComponent<PlayerAnimation>().Shield(true);
            transform.GetComponentInParent<PlayerMovement>().OnHit += Deactivate;
            while (lifeTime > 0)
            {
                yield return new WaitForEndOfFrame();
                lifeTime -= Time.deltaTime;
            }
            transform.GetComponentInParent<PlayerMovement>().OnHit -= Deactivate;
            yield return by.GetComponent<PlayerAnimation>().ShieldIE(false);
        }

        public void Deactivate()
        {
            lifeTime = 0;
        }
    }
}
