using System;
using System.Collections;
using UnityEngine;

namespace AlienRunner
{
    public class SpeedBoostPowerUp : PowerUpBase
    {
        public override string Name => "Speed Boost";
        public override string URL => "https://levimoore.dev/eventgames/speed.png";
        public float activeTime = .3f;
        public float boost = 1;

        public override IEnumerator Use(GameObject by)
        {
            by.GetComponent<PlayerState>().Set(PlayerState.State.SpeedBoost);
            by.GetComponent<PlayerMovement>().speedBoost += boost;

            yield return new WaitForSeconds(activeTime);

            by.GetComponent<PlayerMovement>().speedBoost -= boost;
            if(!by.GetComponent<PlayerState>().IsSpeedBoosting)
            {
                //Someone else changed out state, abort!
                yield break;
            }
            by.GetComponent<PlayerState>().Set(PlayerState.State.Flying);
        }
    }
}
