using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public static class RendererExtension
    {
        public static bool IsVisibleMainCamera(this Renderer spriteRenderer)
        {
            Vector3 min = spriteRenderer.bounds.min;
            Vector3 max = spriteRenderer.bounds.max;
            Vector2 minViewport = Camera.main.WorldToViewportPoint(min);
            Vector2 maxViewport = Camera.main.WorldToViewportPoint(max);
            if (minViewport.x > 1 || minViewport.y > 1) return false;
            if (maxViewport.x < 0 || maxViewport.y < 0) return false;
            return true;
        }
    }
}
