using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

namespace AlienRunner
{
    public class StartText : MonoBehaviour
    {
        [SerializeField]
        private GameSetupHandler setupHandler;

        private TextMeshProUGUI text;

        private void Awake()
        {
            text = GetComponent<TextMeshProUGUI>();
            GameState.I.OnGameStart += DisableUI;
        }

        // Update is called once per frame
        void Update()
        {
            //$"Start om {setupHandler.TimerInSeconds} sekunder...";
            if (GameState.I.CurrentState == GameState.State.AwaitingPlayers)
            {
                if (Players.I.PlayerCount < 1)
                    text.text = "Venter p spillere...";
                else
                    text.text = $"Spillet starter om {setupHandler.TimerInSeconds} sekunder...";
            }
        }

        void DisableUI()
        {
            this.gameObject.SetActive(false);
        }
    }
}
