using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner.Tests
{
    /// <summary>
    /// Extension class to allow calling "Eye()" on a gameobject.
    /// </summary>
    public static class EyeOnGameObject
    {
        /// <summary>
        /// Returns an Eye-instance which can be used to look for children within this Game Object.
        /// </summary>
        public static EyeInstance Eye(this GameObject gameObject) => new EyeInstance(gameObject);
    }
}
